## r-cran-tsp 1.1

=== DESCRIPTION ===
Package: TSP
Type: Package
Title: Traveling Salesperson Problem (TSP)
Version: 1.1-10
Date: 2020-04-17
Authors@R: c(
	person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
	    email = "mhahsler@lyle.smu.edu"),
	person("Kurt", "Hornik", role = c("aut", "cph")))
Description: Basic infrastructure and some algorithms for the traveling
    salesperson problem (also traveling salesman problem; TSP).
    The package provides some simple algorithms and
    an interface to the Concorde TSP solver and its implementation of the
    Chained-Lin-Kernighan heuristic. The code for Concorde
    itself is not included in the package and has to be obtained separately.
    Hahsler and Hornik (2007) <doi:10.18637/jss.v023.i02>.
Classification/ACM: G.1.6, G.2.1, G.4
URL: https://github.com/mhahsler/TSP
BugReports: https://github.com/mhahsler/TSP/issues
Depends: R (>= 3.5.0)
Imports: graphics, foreach, utils, stats, grDevices
Suggests: sp, maps, maptools, testthat
License: GPL-3
Copyright: All code is Copyright (C) Michael Hahsler and Kurt Hornik.
NeedsCompilation: yes
Packaged: 2020-04-17 16:55:39 UTC; hahsler
Author: Michael Hahsler [aut, cre, cph],
  Kurt Hornik [aut, cph]
Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
Repository: CRAN
Date/Publication: 2020-04-17 17:30:02 UTC

## r-cran-tsp 1.1-6

=== debian/changelog ===
r-cran-tsp (1.1-6-1) unstable; urgency=medium

  * Initial release (closes: #905640)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Aug 2018 15:50:36 +0200

=== debian/control ===
Source: r-cran-tsp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-foreach
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
Homepage: https://cran.r-project.org/package=TSP

Package: r-cran-tsp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R traveling salesperson problem (TSP)
 Basic infrastructure and some algorithms for the traveling
 salesperson problem (also traveling salesman problem; TSP).
 The package provides some simple algorithms and
 an interface to the Concorde TSP solver and its implementation of the
 Chained-Lin-Kernighan heuristic. The code for Concorde
 itself is not included in the package and has to be obtained separately.

## r-cran-tsp 1.1-7

=== debian/changelog ===
r-cran-tsp (1.1-7-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 20:58:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-foreach
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
 Homepage: https://cran.r-project.org/package=TSP

## r-cran-tsp 1.1-8

=== debian/changelog ===
r-cran-tsp (1.1-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jan 2020 11:05:36 +0100

## r-cran-tsp 1.1-9

=== debian/changelog ===
r-cran-tsp (1.1-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 25 Feb 2020 07:10:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-foreach
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
 Homepage: https://cran.r-project.org/package=TSP

## r-cran-tsp 1.1-10

=== debian/changelog ===
r-cran-tsp (1.1-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Apr 2020 10:35:55 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
 Homepage: https://cran.r-project.org/package=TSP
+Rules-Requires-Root: no
 
 Package: r-cran-tsp
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/TSP_([-\d.]*)\.tar\.gz

## r-cran-tsp 1.2

=== DESCRIPTION ===
Package: TSP
Type: Package
Title: Traveling Salesperson Problem (TSP)
Version: 1.2-4
Date: 2023-04-03
Authors@R: 
  c(person("Michael", "Hahsler", 
    role = c("aut", "cre", "cph"),
	email = "mhahsler@lyle.smu.edu",
	comment = c(ORCID = "0000-0003-2716-1405")),
    person("Kurt", "Hornik", 
	role = c("aut", "cph"),
	comment = c(ORCID = "0000-0003-4198-9911"))
    )
Description: Basic infrastructure and some algorithms for the traveling
    salesperson problem (also traveling salesman problem; TSP).
    The package provides some simple algorithms and
    an interface to the Concorde TSP solver and its implementation of the
    Chained-Lin-Kernighan heuristic. The code for Concorde
    itself is not included in the package and has to be obtained separately.
    Hahsler and Hornik (2007) <doi:10.18637/jss.v023.i02>.
Classification/ACM: G.1.6, G.2.1, G.4
URL: https://github.com/mhahsler/TSP
BugReports: https://github.com/mhahsler/TSP/issues
Depends: R (>= 3.5.0)
Imports: graphics, foreach, utils, stats, grDevices
Suggests: maps, doParallel, testthat
Encoding: UTF-8
RoxygenNote: 7.2.3
License: GPL-3
Copyright: All code is Copyright (C) Michael Hahsler and Kurt Hornik.
NeedsCompilation: yes
Packaged: 2023-04-04 01:12:42 UTC; hahsler
Author: Michael Hahsler [aut, cre, cph]
    (<https://orcid.org/0000-0003-2716-1405>),
  Kurt Hornik [aut, cph] (<https://orcid.org/0000-0003-4198-9911>)
Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
Repository: CRAN
Date/Publication: 2023-04-04 15:30:12 UTC

## r-cran-tsp 1.2-0

=== debian/changelog ===
r-cran-tsp (1.2-0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2-0

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Feb 2022 02:01:45 +0530

r-cran-tsp (1.1-11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 15:53:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-foreach
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
 Homepage: https://cran.r-project.org/package=TSP

## r-cran-tsp 1.2-1

=== debian/changelog ===
r-cran-tsp (1.2-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2022 08:53:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-tsp
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
+Homepage: https://cran.r-project.org/package=TSP
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-foreach
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
-Homepage: https://cran.r-project.org/package=TSP
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-tsp
 Architecture: any

## r-cran-tsp 1.2-2

=== debian/changelog ===
r-cran-tsp (1.2-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 16:24:02 +0100

## r-cran-tsp 1.2-4

=== debian/changelog ===
r-cran-tsp (1.2-4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:16:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
 Homepage: https://cran.r-project.org/package=TSP
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-tsp 1.2.6

=== debian/changelog ===
r-cran-tsp (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Jan 2026 14:47:45 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-tsp
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-foreach,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tsp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tsp.git
 Homepage: https://cran.r-project.org/package=TSP
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-foreach
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-tsp
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-maps,
        r-cran-doparallel,
        r-cran-testthat
Restrictions: allow-stderr
